{%- assign about = site.posts | find: 'layout', 'about' -%}
{%- assign license = site.posts | find: "layout", "license" -%}
{%- assign code_of_conduct = site.posts | find: "layout", "code_of_conduct" -%}
{%- assign privacy_policy = site.posts | find: "layout", "privacy_policy" -%}

<footer class="d-flex align-items-center justify-content-center mt-5 pt-3 pb-3 background-gray-dark">
  {%- if about.email -%}
    <a class="gray" href="mailto:{{ about.email }}" rel="me" title="{{ site.title }}">{{ about.email }}</a>
  {%- endif -%}

  {%- for network in about.social_networks -%}
    {%- assign n = network | social_network -%}
    <a class="gray" href="{{ n.url }}" rel="me" target="_blank" title="{{ n.name | capitalize }}">
      <i class="fa fa-fw fa-lg fa-{{ n.name }}"></i>
      <span class="sr-only">{{ n.name }}</span>
    </a>
  {%- endfor -%}

  <ul class="list-unstyled">
  {% if license %}
    <li>
      <a href="{{ license.url }}" rel="license">{{ license.title }}</a>
    </li>
  {% endif %}

  {% if code_of_conduct %}
    <li>
      <a href="{{ code_of_conduct.url }}" rel="code-of-conduct">{{ code_of_conduct.title }}</a>
    </li>
  {% endif %}

  {% if privacy_policy %}
    <li>
      <a href="{{ privacy_policy.url }}" rel="privacy-policy">{{ privacy_policy.title }}</a>
    </li>
  {% endif %}
</footer>
